/*
 * File         : H263.h
 * Author       : Tomasz Stachowiak
 * Created      : Fri Oct 16 17:17:19 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __H263_H
#define __H263_H

#ifdef __cplusplus
extern "C" { 
#endif

  /* Codec procedures */
  int H263initEncoder(int x, int y);
  int H263initDecoder();
  int H263codeIntraFrame(unsigned char *image, char *buffer);
  int H263codeFrame(unsigned char **image, char *buffer);
  char *H263decodeFrame(int user_id, char *frame, int len);

  /* Display procedures */
  init_global_dpy();
  void init_display(char *name, char *label, int parent, int curr_win,unsigned char sourceType);
  void close_display(int no);
  void displayYUV411(int userNo, char *yuv);
  void YVU9toYUV411(unsigned char *input, 
                         unsigned char *y, unsigned char *u, unsigned char *v, 
                         int width, int heigth);
  
  /* Capturing procedures */
  initcapture(int x, int y);
  unsigned char *getFrame(int x, int y);
  
#ifdef __cplusplus
           }
#endif


#endif

